Page MenuHomeFreeBSD

devel/govendor: new port
ClosedPublic

Authored by rwestlun_gmail.com on Sep 7 2016, 7:51 PM.
Tags
None
Referenced Files
Unknown Object (File)
Dec 20 2023, 2:35 AM
Unknown Object (File)
Dec 3 2023, 5:02 PM
Unknown Object (File)
Nov 13 2023, 12:35 PM
Unknown Object (File)
Nov 12 2023, 4:28 PM
Unknown Object (File)
Oct 25 2023, 8:50 AM
Unknown Object (File)
Sep 6 2023, 9:16 AM
Unknown Object (File)
Aug 10 2023, 8:27 AM
Unknown Object (File)
Jul 25 2023, 7:39 AM

Details

Reviewers
None
Commits
rP421732: New port: devel/govendor
Summary

Govendor is a dependency manager for go, very much like devel/godep. The makefile is mostly copied from there.

Test Plan

port test passes.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

rwestlun_gmail.com retitled this revision from to devel/govendor: new port.
rwestlun_gmail.com updated this object.
rwestlun_gmail.com edited the test plan for this revision. (Show Details)
rwestlun_gmail.com set the repository for this revision to rP FreeBSD ports repository.
devel/govendor/Makefile
13 ↗(On Diff #20152)

There's a good chance this should be USES=go, and that the build and install should be removed.

22–28 ↗(On Diff #20152)
  1. If this was the right way to do it, this should be in post-extract, not in patch.
  2. The right way to do it is:

    GH_SUBDIR=src/github.com/${GH_ACCOUNT}/${PORTNAME}
devel/govendor/pkg-descr
1 ↗(On Diff #20152)

Please put a longer description, this is very cryptic and does not tell me what it does, at all.

rwestlun_gmail.com marked 3 inline comments as done.

Thanks for the feedback, this is much cleaner. Once this is approved, I'll clean up the port I copied this from.

The port works fine, but running 'port test' fails with the following error:

install: /usr/ports/devel/govendor/work/stage//usr/local/bin: No such file or directory

  • Error code 71

Testing creates the following directory structure:
> ./work/stage/tmp/${PORTNAME}/usr/local/bin

But I think /usr/ports/Mk/Uses/go.mk's do-install is doesn't expect tmp/${PORTNAME}/ to be there. I don't know enough about the ports infrastructure to know where the problem is.

Thanks for the feedback, this is much cleaner. Once this is approved, I'll clean up the port I copied this from.

The port works fine, but running 'port test' fails with the following error:

install: /usr/ports/devel/govendor/work/stage//usr/local/bin: No such file or directory

  • Error code 71

Testing creates the following directory structure:
> ./work/stage/tmp/${PORTNAME}/usr/local/bin

But I think /usr/ports/Mk/Uses/go.mk's do-install is doesn't expect tmp/${PORTNAME}/ to be there. I don't know enough about the ports infrastructure to know where the problem is.

I don't know what this port command do, it's not part of the framework.

What you want to do is add DEVELOPER=yes to /etc/make.conf, and simply run make, it will run all the tests the framework comes from.

If you are talking about running the test suite of the software you are porting, it is done by running make test but I do not know if the our go framework supports it.

devel/govendor/Makefile
19 ↗(On Diff #20154)

This variable is not used anywhere, it should be removed.

rwestlun_gmail.com marked an inline comment as done.

Extraneous variable removed.

The 'port test' command is from ports-mgmt/porttools. The porter's handbook recommends using it for testing. It usually works.
https://www.freebsd.org/doc/en/books/porters-handbook/testing-porttools.html

Extraneous variable removed.

The 'port test' command is from ports-mgmt/porttools. The porter's handbook recommends using it for testing. It usually works.
https://www.freebsd.org/doc/en/books/porters-handbook/testing-porttools.html

Mmmm, I do not know what it does, and I thought I had deprecated that...
Like I said, if you want to do the testing yourself (and not use poudriere to do it) add DEVELOPER=yes to your /etc/make.conf, and run make like you always do.

In D7818#162383, @mat wrote:

Mmmm, I do not know what it does, and I thought I had deprecated that...
Like I said, if you want to do the testing yourself (and not use poudriere to do it) add DEVELOPER=yes to your /etc/make.conf, and run make like you always do.

Understood, I'll switch to this for testing future stuff. Thanks for the pointer.

In D7818#162383, @mat wrote:

Mmmm, I do not know what it does, and I thought I had deprecated that...
Like I said, if you want to do the testing yourself (and not use poudriere to do it) add DEVELOPER=yes to your /etc/make.conf, and run make like you always do.

Understood, I'll switch to this for testing future stuff. Thanks for the pointer.

Note that the canonical way to test ports in the ports tree is to use poudriere, its configuration and usage is described in https://www.freebsd.org/doc/en/books/porters-handbook/testing-poudriere.html

It passes poudriere testing. Is there anything else that needs fixing before it gets committed?

No, you just have to open a PR and submit it there.

This revision was automatically updated to reflect the committed changes.